# Start Up Data

### Start Up Data Example&#x20;

The following start-up data is posted to Keyfax from Civica CX upon launching Keyfax via the Keyfax and Civica CX integration...

```
<KeyfaxData test="0">
	<Startup name="Fault1">
		<OriginatingSystem>Template Startup</OriginatingSystem>
		<GUID kfId="guid">
			<![CDATA[00a72e3e-1dc9-4df8-b20f-60153cb16422]]>
		</GUID>
		<Company kfId="config">Company_Staff_Live</Company>
		<ReturnURL kfId="returnUrl">https://keyfax.domain.com/Completed/?co=Company_Staff_Live</ReturnURL>
		<Mode>RD</Mode>
		<UserName>operator</UserName>		
		<Password kf="protected" kfId="password">Global</Password>
		<Tenant kfId="tenantText">Shirali Jaffery, 2, Johnson Court, Sysonby Street, Melton Mowbray, Leicestershire, LE13 0GJ, England</Tenant>
		<ClientID kfId="clientId">211892</ClientID>
		<RepairNo kfId="repairNo" />
		<TenantID kfId="tenantId">711692</TenantID>
		<AssetID kfId="assetId">12883</AssetID>
		<Tenancy kfId="scriptSetCode">1</Tenancy>
		<Asset kfId="asset" />
		<History Range="6" Units="month">
			<Order ID="4095" Cat="10774" Date="2025-01-08 10:11 am" Desc="XXXXXXXXXXXX">
				<Repair Code="021007" Desc="XXXXXXXXXXXXXXXXXXXXX" Quantity="1" Unit="Each" />
			</Order>
			<Order ID="4092" Cat="10769" Date="2025-01-08 10:05 am" Desc="XXXXXXXXXXXXXX">
				<Repair Code="858107" Desc="XXXXXXXXXXXXXX" Quantity="6" Unit="Each" />
			</Order>
		</History>
		<AssetTypeId>13</AssetTypeId>
		<AssetCategoryTypeId>1</AssetCategoryTypeId>
		<BuildingNumber>22</BuildingNumber>
		<Street>Example Street</Street>
		<Town>Example Town</Town>
		<County>Leicestershire</County>
		<PostCode>LE02 5FJ</PostCode>
		<Locality>Example Street</Locality>
		<AssetAlertSeverities>High</AssetAlertSeverities>
		<AssetAlertWarnings>Asbestos-Present</AssetAlertWarnings>
		<AssetAlerts>High - Asbestos-Present</AssetAlerts>
		<BuildingName>155-159</BuildingName>
	</Startup>
</KeyfaxData>
```

The above example for repair diagnostics contains only sample data only. The data used to populate the elements above will of course be replaced with your real Civica CX so this is available during Keyfax scripting based on the asset and / or contact reference provided when launching Keyfax.&#x20;

### Required Asset Reference

As `<AssetID/>` element is required within both the start up and export templates for the Civica CX integration new start-up and export Keyfax templates have been introduced. Keyfax will need to be updated to use these template. These new templates exist within...

Staff

```
templates\CivicaCX\startupRD.xml
templates\CivicaCX\startupFL.xml
templates\CivicaCX\exportRD.xml
templates\CivicaCX\exportFL.xml
```

It was not necessary to introduce new cancellation templates.

Online

```
ol2\xml\CivicaCX\startupOL.xml
ol2\xml\CivicaCX\startupOL_comp.xml
ol2\xml\CivicaCX\exportOL.xml
ol2\xml\CivicaCX\exportOL_comp.xml
```

### Optional Contact Reference

The contact reference field upon the launch page can be optional however Civica CX always requires a contact ID when creating a repair request. To workaround this whenever a contact reference is not supplied Keyfax will fall back to use the contact ID as specified within the `CXMappings.xml` file.

To provide a fallback contact ID for when once is not provided use the `@default` attribute within the `CXMappings.xml` file as shown below\...

```
<Mapping id="ContactId" default="24786" xPath="Enquiry[@name='Enquiry1']/ClientID/text()"/>
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.keyfax.biz/integrations/host-systems/civica/civica-cx/start-up-data.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
